# wxMBConvUTF16 Class Reference
[Text Conversion]

`#include <wx/strconv.h>`

Inheritance diagram for wxMBConvUTF16:
[legend]

## Detailed Description

This class is used to convert between multibyte encodings and UTF-16 Unicode encoding (also known as UCS-2).

Unlike UTF-8 encoding, UTF-16 uses words and not bytes and hence depends on the byte ordering: big or little endian. Hence this class is provided in two versions: wxMBConvUTF16LE and wxMBConvUTF16BE and wxMBConvUTF16 itself is just a typedef for one of them (native for the given platform, e.g. LE under Windows and BE under Mac).

##

Library: wxBase
Category: Text Conversion

See also:
  wxMBConvUTF8, wxMBConvUTF32, wxMBConv Overview

List of all members.

|  | [ top ]